"""Tooltips for all major widgets."""

# Information that changing the settings needs a restart of smartMedia to
# become effective.
REQUIRES_RESTART_SMARTMEDIA = (
    "<br /><br />"
    "<i>Requires a restart of smartMedia to become effective.</i>"
)

# Information that changing the settings needs a restart of Nuke to become
# effective.
REQUIRES_RESTART_NUKE = (
    "<br /><br />"
    "<i>Requires a restart of Nuke to become effective.</i>"
)


# Tooltips for all major widgets.
TOOLTIPS = {
    "main": {
        "button_jobs":
            "<b>Jobs (Ctrl+1)</b>"
            "<br /><br />"
            "This section shows all jobs.",

        "button_presets":
            "<b>Presets (Ctrl+2)</b>"
            "<br /><br />"
            "Here you can add and edit all presets.",

        "button_settings":
            "<b>Settings (Ctrl+3)</b>"
            "<br /><br />"
            "Here you can adjust all settings.",

        "button_search":
            "<b>Search</b>"
            "<br /><br />"
            "Click to search sources by name.",

        "button_new":
            "<b>New source</b>"
            "<br /><br />"
            "Click to add a new source.",

        "slider_size":
            "<b>Size</b>"
            "<br /><br />"
            "Adjust the source thumbnails size.",

        "combo_output_root":
            "<b>Output root</b>"
            "<br /><br />"
            "Here you can create, delete, set and unset a custom output "
            "root for all current and upcoming tasks. Note that all new tasks "
            "will get the output root applied automatically.<br /><br />"
            "&bull; Choose empty at the very top to disable the output root.<br />"
            "&bull; Choose 'new...' to create a new absolute or relative output root.<br />"
            "&bull; Choose 'delete' to delete the currently selected output root.<br /><br />"
            "&bull; In the middle you see all output roots that are relative to the "
            "source of a task.<br />"
            "&bull; At the bottom you see all absolute output roots.<br />"
            "Choose a relative or absolute output root to adjust the output "
            "roots for all current tasks."
            "<br /><br /><b>Tip:</b> locked tasks won't get "
            "altered.",
    },

    "job": {
        "button_expand_collapse":
            "<b>Expand/Collapse</b>"
            "<br /><br />"
            "Click to toggle expanding/collapsing the job.",

        "button_naming":
            "<b>Naming</b>"
            "<br /><br />"
            "Click to extract naming values for the source using a "
            "defined naming preset.",

        "button_add_task":
            "<b>New task</b>"
            "<br /><br />"
            "Click to add a new task.",

        "button_reveal":
            "<b>Reveal source</b>"
            "<br /><br />"
            "Click to reveal the source in your explorer.",
    },

    "task": {
        "button_details":
            "<b>Task Details</b>"
            "<br /><br />"
            "Click to show/hide the task's details.",

        "combo_presets":
            "<b>Presets</b>"
            "<br /><br />"
            "Click to apply a preset to the task.",

        "button_reload":
            "<b>Reload preset</b>"
            "<br /><br />"
            "Click to re-apply the preset.",

        "button_reveal":
            "<b>Reveal</b>"
            "<br /><br />"
            "Click to reveal the task's render output.",

        "button_render_log":
            "<b>Open render log</b>"
            "<br /><br />"
            "Click to view the render log.<hr>",

        "button_start":
            "<b>Render</b>"
            "<br /><br />"
            "Click to render the task."
    },

    "settings_widget": {
        "check_show_tooltips":
            "<b>Tooltips</b>"
            "<br /><br />"
            "When checked this shows tooltips for all major widgets."
            "{}".format(REQUIRES_RESTART_SMARTMEDIA),

        "check_always_on_top":
            "<b>Always on top</b>"
            "<br /><br />"
            "When checked the main window stays always on top of all other "
            "windows. Uncheck if that is not wanted."
            "{}".format(REQUIRES_RESTART_SMARTMEDIA),

        "check_auto_load_last_workfile":
            "<b>Auto load last workfile</b>"
            "<br /><br />"
            "When checked your latest working file along with all its jobs "
            "and tasks gets automatically loaded. Uncheck to start always "
            "with an empty window without any jobs.",

        ("label_number_recent_files", "spin_number_recent_files"):
            "<b>Number of recent files</b>"
            "<br /><br />"
            "smartMedia's 'File' menu contains a 'recent files' sub menu that "
            "lets you quickly load recent job files. Choose the number of "
            "recent files to keep in that list. Once the number of recent "
            "files exceeds this number then the oldest file gets removed from "
            "that list.",

        ("label_ingest_threads", "spin_ingest_threads"):
            "<b>Number of ingest threads</b>"
            "<br /><br />"
            "Determine the number of threads to use for parallel ingestion "
            "when bringing media into smartMedia.",

        ("label_logging_level", "combo_logging_level"):
            "<b>Logging level</b>"
            "<br /><br />"
            "Determine the logging level to use. Debug level shows you the "
            "most information, error the least."
            "{}".format(REQUIRES_RESTART_SMARTMEDIA),

        ("label_new_jobs_behavior", "combo_new_jobs_behavior"):
            "<b>Job order</b>"
            "<br /><br />"
            "Determine if new ingested media should go to the top of the "
            "jobs list or if it should be appended to the bottom.",

        ("label_thumbnail_index", "combo_thumbnail_index"):
            "<b>Thumbnail index</b>"
            "<br /><br />"
            "When ingesting media into smartMedia use the first, middle or "
            "last frame as a thumbnail.",

        ("label_preset_dropdown_type", "combo_preset_dropdown_type"):
            "<b>Preset dropdown completer</b>"
            "<br /><br />"
            "Choose <i>'completer'</i> and type in a preset name into the "
            "preset dropdown menu to get suggestions on presets. Use "
            "<i>'no completer'</i> to get a normal dropdown to scroll "
            "through. Using a completer might be quicker as soon as you start "
            "having a long list of presets as you can quickly type in which "
            "template you want to apply."
            "{}".format(REQUIRES_RESTART_SMARTMEDIA),

        "group_nuke_executables":
            "<b>Nuke executables</b>"
            "<br /><br />"
            "Browse to the root directory that contains a Nuke executable "
            "for processing jobs.",

        ("label_jobs_root", "input_jobs_root", "button_browse_jobs_root"):
            "<b>Jobs root</b>"
            "<br /><br />"
            "The root directory where all jobs and tasks are stored.",

        "group_naming":
            "<b>Naming</b>"
            "<br /><br />"
            "Here you can edit naming extraction for sources. Whenever you "
            "drop a media source into smartMedia, it will try to extract "
            "naming values from the source path (either the whole path or "
            "the path's base name) using the naming preset that you set in "
            "here. You can always use a different naming preset later if you"
            "need. You can use these naming values down the line, e.g. for "
            "path assembly, slate information, etc. Naming extraction can "
            "also be triggered manually for any given naming preset at any "
            "time.",

        "check_auto_extract_naming":
            "<b>Auto extract naming values</b>"
            "<br /><br />"
            "When checked this will automatically try to extract naming values "
            "from an ingested source by going through all defined naming "
            "patterns to see if one matches. If it finds one it will extract "
            "the naming values.",

        ("label_naming_preset", "combo_naming_preset"):
            "<b>Naming preset</b>"
            "<br /><br />"
            "Select a naming preset to load into the editor below. The "
            "selected naming preset will be applied to all sources that you "
            "ingest from then on."
            "<br /><br />Choose empty value at the top to disable extracting "
            "any naming from a source when ingesting."
            "<br /><br />Keep 'Auto extract naming' checked so "
            "that smartMedia automatically detects and applies the matching "
            "pattern when ingesting new sources.",

        "text_naming_values":
            "<b>Naming pattern</b>"
            "<br /><br />"
            "Here you can define any naming pattern. This uses regular "
            "expressions. Any line in here starting with a # as well as "
            "empty lines will be skipped. This lets you add comments "
            "around your pattern and lets you try out different patterns "
            "by commenting some out. The first line that does not start "
            "with a # and that contains characters will be used as pattern.",

        ("label_naming_root", "input_naming_root", "browse_naming_root"):
            "<b>Naming root directory</b>"
            "<br /><br />"
            "Choose the root directory that smartMedia uses to search for "
            "naming patterns. Each naming pattern is stored in a separate "
            "file.<br /><br />"
            "<i>Files starting with an underscore get ignored from showing "
            "up in the naming preset drop down menu.</i>",

        "button_save":
            "<b>Save</b>"
            "<br /><br />"
            "Click to save the settings.",
    },

    "nuke_exe_finder": {
        "button_favorite":
            "<b>Favorite</b>"
            "<br /><br />"
            "Click to set this executable as a favorite. Any preset that "
            "does not explicitly set a Nuke version will use this version "
            "to render a task.",

        "input":
            "<b>Nuke executable root</b>"
            "<br /><br />"
            "Paste the root directory to the Nuke version in here. smartMedia "
            "will automatically find the Nuke executable. Click the 'test' "
            "button to check that smartMedia finds the Nuke executable under "
            "the set path.",

        "button_test":
            "<b>Test scan for Nuke executable</b>"
            "<br /><br />"
            "Click to check that smartMedia finds the Nuke executable under "
            "the given path",

        "button_add":
            "<b>New Nuke executable path</b>"
            "<br /><br />"
            "Click to add a new Nuke executable",

        "button_del":
            "<b>Remove Nuke executable path</b>"
            "<br /><br />"
            "Click to remove the Nuke executable path",
    },

    "preset_path_widget": {
        "input":
            "<b>Preset root</b>"
            "<br /><br />"
            "Paste the root directory that contains presets. All presets "
            "in these roots will then show up in every task's presets "
            "dropdown menu.",

        "button_add":
            "<b>New preset root path</b>"
            "<br /><br />"
            "Click to add a new preset root path",

        "button_del":
            "<b>Remove preset root path</b>"
            "<br /><br />"
            "Click to remove all presets under this root from being "
            "discovered by smartMedia. This will of course <i>not</i> delete "
            "any presets, they will simply no longer appear in any task's "
            "dropdown menu.",
    },

    "nodes_roots_widget": {
        "input":
            "<b>Nodes roots</b>"
            "<br /><br />"
            "Paste the root directory that contains nodes that can be used "
            "when processing a task, e.g. burnins, slates, reformats, etc.",

        "button_add":
            "<b>New nodes root path</b>"
            "<br /><br />"
            "Click to add a new nodes root path",

        "button_del":
            "<b>Remove nodes root path</b>"
            "<br /><br />"
            "Click to remove all nodes under this root from being "
            "discovered by smartMedia. This will of course <i>not</i> delete "
            "any nodes, they will simply no longer appear in smartMedia.",
    },

    "output_root_selector": {
        "radio_absolute":
            "<b>Absolute path</b>"
            "<br /><br />"
            "Use an absolute path for all tasks at once.",

        "radio_relative":
            "<b>Relative path</b>"
            "<br /><br />"
            "Use a relative path for each tasks starting at the source. "
            "For example, use '../proxy' to render into a proxy directory "
            "sitting next to the source for all tasks.",

        "input_path":
            "<b>Output root</b>"
            "<br /><br />"
            "Enter an output root directory for all paths. Remember to make "
            "the path absolute or relative above.",

        "button_browse":
            "<b>Browse output root</b>"
            "<br /><br />"
            "Click to browse to an output root directory for all tasks.",

        "button_create":
            "<b>Create</b>"
            "<br /><br />"
            "Click to create a new output root to choose from.",

        "button_cancel":
            "<b>Cancel</b>"
            "<br /><br />"
            "Click to cancel adding a new output root to choose from.",
    },

    "wizard_page_preset_info": {
        ("label_name", "input_name"):
            "<b>Preset name (mandatory)</b>"
            "<br /><br />"
            "This is the name the preset will be stored under. The name must "
            "not already be in use by a different preset.",

        ("label_preset_root", "combo_preset_root"):
            "<b>Preset root</b>"
            "<br /><br />"
            "It seems you have set more than one preset root in your "
            "settings. Please state where you would like to store your new "
            "preset root to.",

        ("label_description", "input_description"):
            "<b>Description</b>"
            "<br /><br />"
            "Add some description what this preset is about and what outcome "
            "it is supposed to produce. This helps others and your future "
            "self to decipher picking the correct preset.",
    },

    "wizard_page_reformat": {
        "radio_same_as_source":
            "<b>Same as source</b>"
            "<br /><br />"
            "Use the source's resolution and don't apply any reformat to the "
            "output.",

        "radio_scale":
            "<b>Scale</b>"
            "<br /><br />"
            "Scale the output by a specific factor.",

        "radio_format":
            "<b>To format</b>"
            "<br /><br />"
            "Format the output to a specific format. Choose 'new...' to "
            "create a new format on the fly.",

        "radio_box":
            "<b>Box</b>"
            "<br /><br />"
            "Force a specific width and compute the height automatically "
            "or choose 'Force shape' to force a specific height.",
    },

    "wizard_page_time": {
        ("label_frame_range", "combo_frame_range"):
            "<b>Frame range for output</b>"
            "<br /><br />"
            "Use 'same as source' to start the output with the same frame "
            "as the source. Use 'start at' to force starting the output at "
            "a specific frame.",

        "input_frame_start":
            "<b>Frame start</b>"
            "<br /><br />"
            "Force starting the output at a specific frame.",

    },

    "wizard_page_slate_burnins": {
        "check_slate":
            "<b>Use slate</b>"
            "<br /><br />"
            "Check to apply a slate.",

        "check_burnins":
            "<b>Use burnins</b>"
            "<br /><br />"
            "Check to apply burnins.",

        "combo_slate":
            "<b>Choose slate</b>"
            "<br /><br />"
            "Choose which slate you would like to apply."
            "<br /><br />In order to add more slates to this dropdown menu the "
            "slate in question needs to live in any of the nodes roots. To do "
            "so, navigate to smartMedia's settings section and click the "
            "'Paths' tab. Inside the 'Nodes roots' point to a new root "
            "directory that contains .nk files. Any .nk file that contains "
            "'slate' in its name will be listed in here.",

        "combo_burnins":
            "<b>Choose burnins</b>"
            "<br /><br />"
            "Choose which burnins you would like to apply."
            "<br /><br />In order to add more burnins to this dropdown menu the "
            "burnins in question needs to live in any of the nodes roots. To do "
            "so, navigate to smartMedia's settings section and click the "
            "'Paths' tab. Inside the 'Nodes roots' point to a new root "
            "directory that contains .nk files. Any .nk file that contains "
            "'burnins' in its name will be listed in here.",
    },

    "wizard_page_output": {
        ("label_file_ext", "combo_file_ext"):
            "<b>File extension</b>"
            "<br /><br />"
            "Use this file extension for your output file.",

        ("label_fps", "input_fps"):
            "<b>FPS</b>"
            "<br /><br />"
            "Use that many frames per second for your video output.",

        ("label_colorspace", "input_colorspace"):
            "<b>Colorspace</b>"
            "<br /><br />"
            "Use this colorspace for your output.",
    },

    "wizard_page_generate_template": {
        ("label_template", "combo_template"):
            "<b>Use template</b>"
            "<br /><br />"
            "Choose 'Generate template' to generate a minimal template.nk "
            "from code. The creation happens in "
            "smartMedia.mvc.dialogs.preset_wizard.preset_wizard_translator."
            "<br />Choose 'Use default template' to use the template.nk "
            "of the '_default' preset.",
    }

}
