"""dev/ release operating system switch for main module."""

# Import built-in modules
from __future__ import print_function

import os
import platform
import sys

# Import local modules
# Add package root to sys.path because we need it for running standalone
this_dir = os.path.dirname(__file__)
package_root = os.path.join(this_dir, "..")
package_root = os.path.abspath(package_root)
if not package_root in sys.path:
    sys.path.insert(0, package_root)

_OS = platform.system()

# development => py files
if os.path.isfile(os.path.join(os.path.dirname(__file__), ".dev")):
    from smartMedia.smartMedia_d import *
    from smartMedia.license_d import *
    print("smartMedia | dev | ", _OS)
# release => cython files
else:
    print("cragl loading: smartMedia")

    if _OS == "Darwin":
        from smartMedia.smartMedia_m import *
        from smartMedia.license_m import *
    elif _OS == "Linux":
        from smartMedia.smartMedia_l import *
        from smartMedia.license_l import *
    elif _OS == "Windows":
        from smartMedia.smartMedia_w import *
        from smartMedia.license_w import *


def main():
    """Execute main function and create smart_collect window instance."""
    show_main()


if __name__ == "__main__":
    main()
