"""Update the task's data.json key-value pairs by logic."""

# Import built-in modules
import os


def main(data, logger):
    """This is the main entry point for code injection for your preset.

    Args:
        data (dict): This is the key-value pairs of the task which is the
            preset's blueprint applied with the data of a source. You can
            access any key-value pair here or add additional ones which
            are handed over to the task to render.
        logger (logging.Logger): The logger to use for logging to std out.

    Returns:
        dict: The data dict that was coming in and might have been updated
            by logic inside this function, depending on the needs.

    """
    logger.info("The naming values: %s", data['naming'])

    name = "{sequence}_{shot}_{task}_v{version}.mov".format(**data["naming"])

    data["target_path"] = os.path.join(
        os.path.dirname(data["target_path"]),
        name
    )

    logger.info("Setting target path to: %s", data["target_path"])

    return data
