"""Provide a single line input to show one text that is read only.

This works identically to the details_widgets `LineInput` with the only
exception to make the input widget read only. That is why we inherit from it.

"""

# Import local modules
from smartMedia.mvc.details_widgets.line_input import LineInput


class LineInputReadOnly(LineInput):
    """Provide a single line input to show one text that is read only."""

    def create_widgets(self):
        """Create widgets."""
        super(LineInputReadOnly, self).create_widgets()

        self.input.setReadOnly(True)
        self.input.setDisabled(True)
