"""Build smartMedia nodes menu."""

# Import third-party modules
import nuke

# Import local modules
from smartMedia import callbacks
from smartMedia import osl as smartmedia
from smartMedia.mvc import helper

_ICONS = helper.load_icons()


def build_menubar_menu():
    """Build the menu bar menu."""
    menu = nuke.menu("Nuke").addMenu(
        "cragl/smartMedia",
        icon=_ICONS["logo"]
    )
    menu.addCommand("open smartMedia", smartmedia.show_main)
    menu.addCommand("send selected to smartMedia", smartmedia.send_selected)
    menu.addSeparator()
    menu.addCommand("&about", smartmedia.show_about)


def build_nodes_menu():
    """Build smartMedia menu with all gizmos."""
    menu = nuke.menu("Nodes").addMenu("smartMedia")
    menu.addCommand(
        "smartMedia reformat",
        "smart_media_nuke.insert_node('smartMedia_reformat_v001')"
    )
    menu.addCommand(
        "smartMedia slate",
        "smart_media_nuke.insert_node('smartMedia_slate_v001')"
    )


build_menubar_menu()
build_nodes_menu()

callbacks.add_callbacks(globals())
