"""Show a simple message window."""

# Import third-party modules
try:
    from PySide import QtCore
    from PySide import QtGui as QtWidgets
except ImportError:
    from PySide2 import QtCore
    from PySide2 import QtWidgets


def show(window, message):
    """Show message box with message as content.

    Args:
        window (QtWidgets.QWidget): Parent window in order to keep the message
            box on top of the parent window.
        message (str): Message to display in the window.

    """
    dialog = QtWidgets.QMessageBox()
    dialog.setWindowFlags(QtCore.Qt.WindowStaysOnTopHint)
    dialog.information(window, "information", message)
