"""Default values to refer to."""

# Import local modules
from smartMedia.settings import Settings


def get_default_nuke_version_exe():
    """Get absolute path of the globally defined default Nuke executable.

    Returns:
        str: Absolute path of the globally defined default Nuke executable.

    """
    settings = Settings()

    for path, is_default in settings["nuke_executables"]:
        if is_default:
            return path

    return ""
